Anonymous Login
2019-04-21 15:29 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001270v3.0 Release[All Projects] Generalpublic2013-08-28 11:17
Reportercarlosazevedo 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001270: FIX: Flat view of contacts shows incorrectly filtered contacts by letter
DescriptionThis is the fix for a previously reported issue where the contact's flat view does not work properly, showing multiple duplicate entries. The fix is doing the following changes to the files 'index.php' and 'vw_idx_contacts' in the 'contacts' module.

index.php
---------
Remove the lines:

$days = ($tab == 0) ? 30 : 0;

// retrieve any state parameters
$searchString = w2PgetParam($_POST, 'search_string', '');
if ('' == $searchString) {
    $searchString = ((0 < $tab) && ($tab < 27)) ? chr(64 + $tab) : '';
    $searchString = (0 == $tab) ? '' : $searchString;
} else {
    $tab = 27;
    $AppUI->setState('ContactsIdxTab', $tab);
}

$AppUI->setState('ContIdxWhere', $searchString);

$where = $AppUI->getState('ContIdxWhere') ? $AppUI->getState('ContIdxWhere') : '%';

$rows = CContact::searchContacts($AppUI, $where, '', $days);

vw_idx_contacts.php
-------------------

Remove the lines:

global $rows
$carr[] = array();

The top of the file must look like this, add the missing lines :

<?php
if (!defined('W2P_BASE_DIR')) {
    die('You should not access this file directly.');
}

global $currentTabId;

$days = ($currentTabId == 0) ? 30 : 0;
$searchString = w2PgetParam($_POST, 'search_string', '');
if ('' == $searchString) {
    $searchString = ((0 < $currentTabId) && ($currentTabId < 27)) ? chr(64 + $currentTabId) : '';
    $searchString = (0 == $currentTabId) ? '' : $searchString;
} else {
    $AppUI->setState('ContactsIdxTab', 27);
}

$AppUI->setState('ContIdxWhere', $searchString);

$where = $AppUI->getState('ContIdxWhere') ? $AppUI->getState('ContIdxWhere') : '%';

$rows = CContact::searchContacts($AppUI, $where, '', $days);

$countries = w2PgetSysVal('GlobalCountries');

unset($carr);
$carrWidth = 4;
$carrHeight = 4;

TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0001259closedcaseydk Pending Requests Flat view of contacts shows incorrectly filtered contacts by letter 
+Relationships

+Notes

-Issue History
Date Modified Username Field Change
2013-03-04 03:03 carlosazevedo New Issue
2013-03-04 21:06 caseydk Relationship added has duplicate 0001259
2013-03-04 22:50 caseydk Note Added: 0002837
2013-03-04 22:50 caseydk Status new => resolved
2013-03-04 22:50 caseydk Resolution open => fixed
2013-03-04 22:50 caseydk Assigned To => caseydk
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:17 caseydk Status resolved => closed
+Issue History